summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDonnie Berkholz <dberkholz@gentoo.org>2008-11-26 23:13:24 +0000
committerDonnie Berkholz <dberkholz@gentoo.org>2008-11-26 23:13:24 +0000
commit10e7ae50cb6b3f599ef6c5215c2b19a263b863b2 (patch)
treed96e08a05c5d8541ee579fd41d489ca2f391a648 /eclass/x-modular.eclass
parentCleanup of old versions and more parallel build fixes. (diff)
downloadhistorical-10e7ae50cb6b3f599ef6c5215c2b19a263b863b2.tar.gz
historical-10e7ae50cb6b3f599ef6c5215c2b19a263b863b2.tar.bz2
historical-10e7ae50cb6b3f599ef6c5215c2b19a263b863b2.zip
x-modular_dri_check(): Keep working when xorg-server doesn't support USE=dri.
Diffstat (limited to 'eclass/x-modular.eclass')
-rw-r--r--eclass/x-modular.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/x-modular.eclass b/eclass/x-modular.eclass
index 81cccf342882..13ffb759bb01 100644
--- a/eclass/x-modular.eclass
+++ b/eclass/x-modular.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.102 2008/08/25 17:10:36 dberkholz Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.103 2008/11/26 23:13:24 dberkholz Exp $
#
# @ECLASS: x-modular.eclass
# @MAINTAINER:
@@ -195,7 +195,7 @@ x-modular_dri_check() {
if [[ -n "${DRIVER}" ]]; then
if has dri ${IUSE} && use dri; then
einfo "Checking for direct rendering capabilities ..."
- if ! built_with_use x11-base/xorg-server dri; then
+ if ! built_with_use --missing true x11-base/xorg-server dri; then
die "You must build x11-base/xorg-server with USE=dri."
fi
fi